<?
	// Dcms-Fiera
	// http://dcms-help.ru
	// ShaMan

include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

only_reg();
$set['title']='Моя анкета';
include_once 'sys/inc/thead.php';
title();


if (isset($_POST['save'])){
if (isset($_POST['ank_name']) && preg_match('#^([A-zА-я \-]*)$#ui', $_POST['ank_name']))
{
$user['ank_name']=$_POST['ank_name'];
mysql_query("UPDATE `user` SET `ank_name` = '".my_esc($user['ank_name'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат имени';



if (isset($_POST['ank_city']) && preg_match('#^([A-zА-я\-]*)$#ui', $_POST['ank_city']))
{
$user['ank_city']=$_POST['ank_city'];
mysql_query("UPDATE `user` SET `ank_city` = '".my_esc($user['ank_city'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат названия города,не используйте пробел';


if (isset($_POST['ank_celznak']) && preg_match('#^([A-zА-я \-\,.]*)$#ui', $_POST['ank_celznak']))
{
$user['ank_celznak']=$_POST['ank_celznak'];
mysql_query("UPDATE `user` SET `ank_celznak` = '".my_esc($user['ank_celznak'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат названия цель знакомства';


if (isset($_POST['ank_o_sebe']) && preg_match('#^([A-zА-я \-\,.]*)$#ui', $_POST['ank_o_sebe']))
{
$user['ank_o_sebe']=$_POST['ank_o_sebe'];
mysql_query("UPDATE `user` SET `ank_o_sebe` = '".my_esc($user['ank_o_sebe'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат названия о себе';








if (isset($_POST['ank_poz']) && preg_match('#^([A-zА-я \-]*)$#ui', $_POST['ank_poz']))
{
$user['ank_poz']=$_POST['ank_poz'];
mysql_query("UPDATE `user` SET `ank_poz` = '".my_esc($user['ank_poz'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат названия с кем';


if (isset($_POST['ank_opar']) && preg_match('#^([A-zА-я \-\,.]*)$#ui', $_POST['ank_opar']))
{
$user['ank_opar']=$_POST['ank_opar'];
mysql_query("UPDATE `user` SET `ank_opar` = '".my_esc($user['ank_opar'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат названия о партнере';








if (isset($_POST['ank_icq']) && (is_numeric($_POST['ank_icq']) && strlen($_POST['ank_icq'])>=5 && strlen($_POST['ank_icq'])<=9 || $_POST['ank_icq']==NULL))
{
$user['ank_icq']=$_POST['ank_icq'];
if ($user['ank_icq']==null)$user['ank_icq']='null';
mysql_query("UPDATE `user` SET `ank_icq` = $user[ank_icq] WHERE `id` = '$user[id]' LIMIT 1");
if ($user['ank_icq']=='null')$user['ank_icq']=NULL;
}
else $err[]='Неверный формат ICQ';









if (isset($_POST['set_show_mail']) && $_POST['set_show_mail']==1)
{
$user['set_show_mail']=1;
mysql_query("UPDATE `user` SET `set_show_mail` = '1' WHERE `id` = '$user[id]' LIMIT 1");
}
else
{
$user['set_show_mail']=0;
mysql_query("UPDATE `user` SET `set_show_mail` = '0' WHERE `id` = '$user[id]' LIMIT 1");
}

if (isset($_POST['ank_n_tel']) && (is_numeric($_POST['ank_n_tel']) && strlen($_POST['ank_n_tel'])>=5 && strlen($_POST['ank_n_tel'])<=11 || $_POST['ank_n_tel']==NULL))
{
$user['ank_n_tel']=$_POST['ank_n_tel'];
mysql_query("UPDATE `user` SET `ank_n_tel` = '$user[ank_n_tel]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат номера телефона';


if (!isset($err))msg('Изменения успешно приняты');

}
err();
aut();
	
echo "<form method='post' action='?$passgen'>\n";
echo "* Имя:<br />\n<input type='text' name='ank_name' value='".output_text($user['ank_name'],false)."' maxlength='32' /><br />\n";

echo "Город:<br />\n<input type='text' name='ank_city' value='$user[ank_city]' maxlength='32' /><br />\n";





echo "Познакомлюсь с:<br />\n<select name='ank_poz'>\n";





echo "<option value='Девушкой'".($user['ank_poz']==Девушкой?" selected='selected'":null).">Девушкой</option>\n";
echo "<option value='Парнем'".($user['ank_poz']==Парнем?" selected='selected'":null).">Парнем</option>\n";


echo "</select><br />\n";

echo "О себе:<br />\n<input type='text' name='ank_o_sebe' value='$user[ank_o_sebe]' maxlength='100' /><br />\n";
echo "** О партнере:<br />\n<input type='text' name='ank_opar' value='$user[ank_opar]' maxlength='100' /><br />\n";




echo "Цель знакомства:<br />\n<select name='ank_celznak'>\n";





echo "<option value='Дружба и общение'".($user['ank_celznak']==Дружба?" selected='selected'":null).">Дружба и общение</option>\n";
echo "<option value='Флирт,СМС переписка'".($user['ank_celznak']==Флирт?" selected='selected'":null).">Флирт,СМС переписка</option>\n";
echo "<option value='Любовь,отношения'".($user['ank_celznak']==Любовь?" selected='selected'":null).">Любовь,отношения</option>\n";
echo "<option value='Брак,создание семьи'".($user['ank_celznak']==Брак?" selected='selected'":null).">Брак,создание семьи</option>\n";
echo "<option value='Виртуальный секс'".($user['ank_celznak']==Виртуальный?" selected='selected'":null).">Виртуальный секс</option>\n";
echo "<option value='Ищу спонсора'".($user['ank_celznak']==Ищу?" selected='selected'":null).">Ищу спонсора</option>\n";

echo "</select><br />\n";










echo "ICQ:<br />\n<input type='text' name='ank_icq' value='$user[ank_icq]' maxlength='9' /><br />\n";



echo "Номер телефона:<br />\n<input type='text' name='ank_n_tel' value='$user[ank_n_tel]' maxlength='11' /><br />\n";
echo "<b>* (Имя) обязательно к заполнению!</b></br>";
echo "<b>** (О партнере) обязательно к заполнению!</b></br>";
echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form>\n";

echo "<div class='foot'>\n";
echo "&raquo;<a href='/love_ank.php'>Посмотреть анкету</a><br />\n";


if(isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && otkuda($_SESSION['refer']))
echo "&laquo;<a href='$_SESSION[refer]'>".otkuda($_SESSION['refer'])."</a><br />\n";

echo "&laquo;<a href='/umenu.php'>Мое меню</a><br />\n";
echo "</div>\n";

	
include_once 'sys/inc/tfoot.php';
?>